screenshotr_client_free
screenshotr_client_new
screenshotr_client_start_service
screenshotr_client_t
screenshotr_error_t
SCREENSHOTR_SERVICE_NAME
screenshotr_take_screenshot

## screenshotr_take_screenshot()

LIBIMOBILEDEVICE_API screenshotr_error_t screenshotr_take_screenshot | ( | screenshotr_client_t | client,
|  | char ** | imgdata,
|  | uint64_t * | imgsize )

Get a screen shot from the connected device.

Parameters

  client | The connection screenshotr service client.
  imgdata | Pointer that will point to a newly allocated buffer containing TIFF image data upon successful return. It is up to the caller to free the memory.
  imgsize | Pointer to a uint64_t that will be set to the size of the buffer imgdata points to upon successful return.

Returns
  SCREENSHOTR_E_SUCCESS on success, SCREENSHOTR_E_INVALID_ARG if one or more parameters are invalid, or another error code if an error occurred.